<?php

namespace STM\Prediction\Stats;

use \Exception;
use STM\Match\MatchSelection;
use STM\StmFactory;

/**
 * Test class for PredictionStats.
 * Generated by PHPUnit on 2011-12-03 at 15:52:07.
 * @group prediction
 */
class PredictionStatsTest extends \PHPUnit_Framework_TestCase {

    private $bad_values;

    protected function setUp() {
        $this->bad_values = array('dsadas', null, false, array(), new Exception(), 55, 0);
    }

    public function testFind_by_user() {
        foreach (StmFactory::find()->User->findAll() as $user) {
            // always true - even if user has no predictions
            $this->assertTrue(StmFactory::find()->PredictionStats->findByUser($user) instanceof PredictionStats);
        }
    }

    public function testFind_by_match_selection() {
        $ms = getMatchSelection(MatchSelection::ALL_MATCHES);
        // find returns always array with one object
        $result = StmFactory::find()->PredictionStats->find($ms);
        parent::assertTrue($result instanceof PredictionStats);
    }

}

?>
